summaryrefslogtreecommitdiff
path: root/android
diff options
context:
space:
mode:
authorSenthil Kumaran <senthil.kumaran@linaro.org>2013-03-22 17:49:14 +0530
committerSenthil Kumaran <senthil.kumaran@linaro.org>2013-03-22 17:49:14 +0530
commit78d1c88bd843a6a887522d93e15a48e7e160cd07 (patch)
tree5a4879c2c57e4e840a91c7faeb6184255c55cd87 /android
parent54168055c2b733297c6567d345bbe4a3332f00e9 (diff)
Add dalvik-vm unit tests for android.
Diffstat (limited to 'android')
-rw-r--r--android/dalvik-vm-unit-tests.yaml11
-rw-r--r--android/scripts/dalvik-vm-unit-tests.sh30
2 files changed, 41 insertions, 0 deletions
diff --git a/android/dalvik-vm-unit-tests.yaml b/android/dalvik-vm-unit-tests.yaml
new file mode 100644
index 0000000..4466308
--- /dev/null
+++ b/android/dalvik-vm-unit-tests.yaml
@@ -0,0 +1,11 @@
+metadata:
+ name: dalvik-vm-unit-tests
+ format: "Lava-Test-Shell Test Definition 1.0"
+ description: "DalvikVM unit tests for android."
+
+run:
+ steps:
+ - "./android/scripts/dalvik-vm-unit-tests.sh"
+
+parse:
+ pattern: "^(?P<test_case_id>.*)=(?P<result>.*)"
diff --git a/android/scripts/dalvik-vm-unit-tests.sh b/android/scripts/dalvik-vm-unit-tests.sh
new file mode 100644
index 0000000..9c40c73
--- /dev/null
+++ b/android/scripts/dalvik-vm-unit-tests.sh
@@ -0,0 +1,30 @@
+#!/system/bin/sh
+#
+# Dalvik-VM unit tests.
+#
+# Copyright (C) 2012, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Amit Pundir <amit.pundir@linaro.org>
+#
+
+chmod 777 /data/nativetest/dalvik-vm-unit-tests/dalvik-vm-unit-tests
+/data/nativetest/dalvik-vm-unit-tests/dalvik-vm-unit-tests
+if [ $? -eq 0 ]; then
+ echo "dalvik-vm-unit-tests=pass"
+else
+ echo "dalvik-vm-unit-tests=fail"
+fi